<template>
    <div class="languageChooser" :v-if="$store.state.requesting">
        <RoutableManu ref="menu" no-route>
            <template v-slot:button>
                <FlagImage :lang="$root.$i18n.locale" />
            </template>
            <MdMenuItem v-for="lang in Object.keys(langs)" v-bind:key="lang" @click="choose(lang)">
                <FlagImage :lang="lang" small />
                <span class="language">{{langs[lang]}}</span>
            </MdMenuItem>
        </RoutableManu>
        <MdTooltip>{{$t('main.chooseLanguage')}}</MdTooltip>
    </div>
</template>

<script>
  import MdTooltip from '../TouchDeviceDisabledTooltip';
  import FlagImage from './FlagImage';
  import RoutableManu from '../RoutableMenu';
  import Cookies from 'cookie-universal';
  import { COOKIE_LANGUAGE_NAME } from '../../i18n';
  import langs from './languageNames';

  const cookies = new Cookies();

  export default {
    name: 'LanguageChooser',
    data() {
      return {
        langs
      }
    },
    methods: {
      languageNames(){
        return this.langs;
      },
      trigger(){
        this.$refs.menu.openMenu();
      },
      choose(lang) {
        cookies.set(COOKIE_LANGUAGE_NAME, lang);
        this.$root.$i18n.locale = lang;
        this.$emit('choosen', lang);
      },
      flag(lang) {
        return `../assets/${lang}.png`;
      }
    },
    components: {
      MdTooltip, FlagImage, RoutableManu
    }
  }
</script>
<style scoped>
    .languageChooser * {
        width: auto;
        color: white !important;
    }

    .language {
        margin-left: 10px;
    }
</style>
